/**
 * Sencha GXT 4.0.0 - Sencha for GWT
 * Copyright (c) 2006-2015, Sencha Inc.
 *
 * licensing@sencha.com
 * http://www.sencha.com/products/gxt/license/
 *
 * ================================================================================
 * Open Source License
 * ================================================================================
 * This version of Sencha GXT is licensed under the terms of the Open Source GPL v3
 * license. You may use this license only if you are prepared to distribute and
 * share the source code of your application under the GPL v3 license:
 * http://www.gnu.org/licenses/gpl.html
 *
 * If you are NOT prepared to distribute and share the source code of your
 * application under the GPL v3 license, other commercial and oem licenses
 * are available for an alternate download of Sencha GXT.
 *
 * Please see the Sencha GXT Licensing page at:
 * http://www.sencha.com/products/gxt/license/
 *
 * For clarification or additional options, please contact:
 * licensing@sencha.com
 * ================================================================================
 *
 *
 * ================================================================================
 * Disclaimer
 * ================================================================================
 * THIS SOFTWARE IS DISTRIBUTED "AS-IS" WITHOUT ANY WARRANTIES, CONDITIONS AND
 * REPRESENTATIONS WHETHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE
 * IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, MERCHANTABLE QUALITY,
 * FITNESS FOR A PARTICULAR PURPOSE, DURABILITY, NON-INFRINGEMENT, PERFORMANCE AND
 * THOSE ARISING BY STATUTE OR FROM CUSTOM OR USAGE OF TRADE OR COURSE OF DEALING.
 * ================================================================================
 */
package com.sencha.gxt.theme.neptune.client.sliced.grid;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ImageResource.ImageOptions;
import com.google.gwt.resources.client.ImageResource.RepeatStyle;
import com.sencha.gxt.theme.neptune.client.base.grid.Css3ColumnHeaderAppearance;

public class SlicedColumnHeaderAppearance extends Css3ColumnHeaderAppearance {

  public interface SlicedColumnHeaderResources extends Css3ColumnHeaderResources {
    /** header background image */
    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    @Source("column-header.png")
    ImageResource columnHeader();

    /** header background image when hovered */
    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    @Source("column-header-over.png")
    ImageResource columnHeaderOver();

    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    @Source("column-header-btn-bg.png")
    ImageResource columnHeaderBtnBg();
    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    @Source("column-header-btn-bg-over.png")
    ImageResource columnHeaderBtnBgOver();
    @ImageOptions(repeatStyle = RepeatStyle.Horizontal)
    @Source("column-header-btn-bg-open.png")
    ImageResource columnHeaderBtnBgOpen();

    @Override
    @Source("SlicedColumnHeader.gss")
    Styles style();

  }

  public interface Styles extends Css3ColumnHeaderAppearance.Styles {

  }

  public SlicedColumnHeaderAppearance() {
    this(GWT.<SlicedColumnHeaderResources>create(SlicedColumnHeaderResources.class));
  }

  public SlicedColumnHeaderAppearance(SlicedColumnHeaderResources resources) {
    super(resources);
  }

}
